> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get billing invoice

GET https://demo.docusign.net/restapi/v2/accounts/{accountId}/billing_invoices/{invoiceId}

Retrieves the specified invoice. 

###### Note: If the `pdfAvailable` property in the response is set to *true*, you can download a PDF version of the invoice. To download the PDF, make the call again and change the value of the `Accept` property in the header to `Accept: application/pdf`.

Privileges required: account administrator

The response returns a list of charges and information about the charges. Quantities are usually shown as 'unlimited' or an integer. Amounts are shown in the currency set for the account.

**Response**
The following table provides a description of the different `chargeName` property values. The information will grow as more chargeable items are added to the system.

| chargeName | Description |
| --- | --- |
| id_check | ID Check Charge |
| in_person_signing | In Person Signing charge |
| envelopes Included | Sent Envelopes for the account |
| age_verify | Age verification check |
| ofac | OFAC Check |
| id_confirm | ID confirmation check |
| student_authentication | STAN PIN authentication check |
| wet_sign_fax | Pages for returning signed documents by fax |
| attachment_fax | Pages for returning attachments by fax |
| phone_authentication | Phone authentication charge |
| powerforms | PowerForm envelopes sent |
| signer_payments | Payment processing charge |
| outbound_fax | Send by fax charge |
| bulk_recipient_envelopes | Bulk Recipient Envelopes sent |
| sms_authentications | SMS authentication charge |
| saml_authentications | SAML authentication charge |
| express_signer_certificate | DocuSign Express Certificate charge |
| personal_signer_certificate | Personal Signer Certificate charge |
| safe_certificate | SAFE BioPharma Signer Certificate charge |
| seats | Included active seats charge |
| open_trust_certificate | OpenTrust Signer Certificate charge | 

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/billing/invoices/get

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `invoiceId` (string, required)

## Response

### 200

Successful response.

- `amount` (string, optional) — The total amount of the purchase.
- `balance` (string, optional) — Reserved: TBD
- `dueDate` (string, optional) — Reserved: TBD
- `invoiceId` (string, optional)
- `invoiceItems` (list of billingInvoiceItem, optional) — Reserved: TBD
- `invoiceNumber` (string, optional) — Reserved: TBD
- `invoiceUri` (string, optional) — Contains a URI for an endpoint that you can use to retrieve invoice information.
- `nonTaxableAmount` (string, optional)
- `pdfAvailable` (string, optional)
- `taxableAmount` (string, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### billingInvoiceItem

Contains information about an item on a billing invoice.

- `chargeAmount` (string, optional) — Reserved: TBD
- `chargeName` (string, optional) — Reserved: TBD
- `invoiceItemId` (string, optional) — Reserved: TBD
- `quantity` (string, optional) — The quantity of envelopes to add to the account.
- `unitPrice` (string, optional) — Reserved: TBD

## Examples

**Response**

```json
{
  "amount": "string",
  "balance": "string",
  "dueDate": "string",
  "invoiceId": "string",
  "invoiceItems": [
    {
      "chargeAmount": "string",
      "chargeName": "string",
      "invoiceItemId": "string",
      "quantity": "string",
      "unitPrice": "string"
    }
  ],
  "invoiceNumber": "string",
  "invoiceUri": "string",
  "nonTaxableAmount": "string",
  "pdfAvailable": "string",
  "taxableAmount": "string"
}
```